#ifndef _DEV_ATAPI_H_
#define _DEV_ATAPI_H_

/*
 * Copyright (C) 2001-2002 by egnite Software GmbH. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgement:
 *
 *    This product includes software developed by egnite Software GmbH
 *    and its contributors.
 *
 * THIS SOFTWARE IS PROVIDED BY EGNITE SOFTWARE GMBH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL EGNITE
 * SOFTWARE GMBH OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.ethernut.de/
 */


#define ATAPI_CMD_TEST_UNIT_READY       0x00
#define ATAPI_CMD_REQUEST_SENSE         0x03
#define ATAPI_CMD_INQUIRY               0x12
#define ATAPI_CMD_START_STOP            0x1b
#define ATAPI_CMD_ALLOW_MEDIUM_REMOVAL  0x1e
#define ATAPI_CMD_READ_CAPACITY         0x25
#define ATAPI_CMD_READ_10               0x28
#define ATAPI_CMD_SEEK                  0x2b
#define ATAPI_CMD_READ_HEADER           0x44
#define ATAPI_CMD_STOP_PLAY_SCAN        0x4e
#define ATAPI_CMD_MODE_SELECT_10        0x55
#define ATAPI_CMD_MODE_SENSE_10         0x5a
#define ATAPI_CMD_LOAD_UNLOAD           0xa6
#define ATAPI_CMD_READ_12               0xa8
#define ATAPI_CMD_READ_CD_MSF           0xb9
#define ATAPI_CMD_SCAN                  0xba
#define ATAPI_CMD_SET_CD_SPEED          0xbb
#define ATAPI_CMD_PLAY_CD               0xbc
#define ATAPI_CMD_MECHANISM_STATUS      0xbd
#define ATAPI_CMD_READ_CD               0xbe
